public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Rui Huang" <vowstar@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: media-gfx/zw3d/
Date: Tue, 31 May 2022 09:33:00 +0000 (UTC)	[thread overview]
Message-ID: <1653989571.2eaad5448fd8d5ef4ff3b74deaf59ba0def07d92.vowstar@gentoo> (raw)

commit:     2eaad5448fd8d5ef4ff3b74deaf59ba0def07d92
Author:     Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Tue May 31 09:32:08 2022 +0000
Commit:     Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Tue May 31 09:32:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2eaad544

media-gfx/zw3d: fix install path to solve maintenance issues

Signed-off-by: Huang Rui <vowstar <AT> gmail.com>

 ...2022.26.00.ebuild => zw3d-2022.26.00-r1.ebuild} | 29 ++++++++++------------
 1 file changed, 13 insertions(+), 16 deletions(-)

diff --git a/media-gfx/zw3d/zw3d-2022.26.00.ebuild b/media-gfx/zw3d/zw3d-2022.26.00-r1.ebuild
similarity index 75%
rename from media-gfx/zw3d/zw3d-2022.26.00.ebuild
rename to media-gfx/zw3d/zw3d-2022.26.00-r1.ebuild
index 05ed0a720..013b83e1f 100644
--- a/media-gfx/zw3d/zw3d-2022.26.00.ebuild
+++ b/media-gfx/zw3d/zw3d-2022.26.00-r1.ebuild
@@ -53,18 +53,17 @@ S=${WORKDIR}
 QA_PREBUILT="*"
 
 src_install() {
-	# Move ${MY_PGK_NAME} out from /opt/apps
+	# Move ${MY_PGK_NAME} out from /opt/apps/apps
 	mkdir -p "${S}"/usr/share/icons/hicolor/scalable/apps || die
-	mv "${S}"/opt/apps/${MY_PGK_NAME} "${S}"/opt/${MY_PGK_NAME} || die
-	mv "${S}"/opt/${MY_PGK_NAME}/entries/icons/hicolor/scalable/apps/*.svg "${S}"/usr/share/icons/hicolor/scalable/apps || die
+	mv "${S}"/opt/apps/${MY_PGK_NAME}/entries/icons/hicolor/scalable/apps/*.svg "${S}"/usr/share/icons/hicolor/scalable/apps || die
 
 	# Set RPATH for preserve-libs handling
-	pushd "${S}"/opt/${MY_PGK_NAME}/files || die
+	pushd "${S}"/opt/apps/${MY_PGK_NAME}/files || die
 	local x
 	for x in $(find) ; do
 		# Use \x7fELF header to separate ELF executables and libraries
 		[[ -f ${x} && $(od -t x1 -N 4 "${x}") == *"7f 45 4c 46"* ]] || continue
-		local RPATH_ROOT="/opt/${MY_PGK_NAME}/files"
+		local RPATH_ROOT="/opt/apps/${MY_PGK_NAME}/files"
 		local RPATH_S="${RPATH_ROOT}/:${RPATH_ROOT}/lib/:${RPATH_ROOT}/lib/xlator/:${RPATH_ROOT}/lib/xlator/InterOp/:${RPATH_ROOT}/libqt/:${RPATH_ROOT}/libqt/plugins/designer/:${RPATH_ROOT}/lib3rd/"
 		patchelf --set-rpath "${RPATH_S}" "${x}" || \
 			die "patchelf failed on ${x}"
@@ -81,29 +80,27 @@ src_install() {
 	# Add zw3d command
 	mkdir -p "${S}"/usr/bin/ || die
 
-	cat >> "${S}"/opt/${MY_PGK_NAME}/zw3d <<- EOF || die
+	cat >> "${S}"/opt/apps/${MY_PGK_NAME}/zw3d <<- EOF || die
 #!/bin/sh
-sh /opt/${MY_PGK_NAME}/files/zw3drun.sh \$*
+sh /opt/apps/${MY_PGK_NAME}/files/zw3drun.sh \$*
 	EOF
 
-	ln -s /opt/${MY_PGK_NAME}/zw3d "${S}"/usr/bin/zw3d || die
-
-	sed -i 's|/opt/apps/|/opt/|g' "${S}/opt/${MY_PGK_NAME}/files/zw3drun.sh" || die
+	ln -s /opt/apps/${MY_PGK_NAME}/zw3d "${S}"/usr/bin/zw3d || die
 
 	# Use system libraries
-	rm -rf "${S}"/opt/${MY_PGK_NAME}/files/lib3rd/libMagickCore* || die
-	rm -rf "${S}"/opt/${MY_PGK_NAME}/files/lib3rd/libjpeg* || die
+	rm -rf "${S}"/opt/apps/${MY_PGK_NAME}/files/lib3rd/libMagickCore* || die
+	rm -rf "${S}"/opt/apps/${MY_PGK_NAME}/files/lib3rd/libjpeg* || die
 
 	# Install package and fix permissions
-	insinto /opt
-	doins -r opt/${MY_PGK_NAME}
+	insinto /opt/apps
+	doins -r opt/apps/${MY_PGK_NAME}
 	insinto /usr
 	doins -r usr/*
 
-	fperms 0755 /opt/${MY_PGK_NAME}/zw3d
+	fperms 0755 /opt/apps/${MY_PGK_NAME}/zw3d
 
 	pushd "${S}" || die
-	for x in $(find "opt/${MY_PGK_NAME}") ; do
+	for x in $(find "opt/apps/${MY_PGK_NAME}") ; do
 		# Fix shell script permissions
 		[[ "${x: -3}" == ".sh" ]] && fperms 0755 "/${x}"
 		# Use \x7fELF header to separate ELF executables and libraries


             reply	other threads:[~2022-05-31  9:33 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-31  9:33 Rui Huang [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-04-20  4:26 [gentoo-commits] repo/proj/guru:dev commit in: media-gfx/zw3d/ Rui Huang
2023-04-03 12:47 Rui Huang
2023-04-03 12:47 Rui Huang
2022-12-21 11:17 Rui Huang
2022-12-21  4:29 Rui Huang
2022-12-16 15:20 Rui Huang
2022-12-16 11:50 Rui Huang
2022-06-27  3:45 Rui Huang
2022-05-31  9:48 Rui Huang
2022-04-21  3:34 Rui Huang

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653989571.2eaad5448fd8d5ef4ff3b74deaf59ba0def07d92.vowstar@gentoo \
    --to=vowstar@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox